summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorAnthony G. Basile <blueness@gentoo.org>2018-11-06 17:49:47 -0500
committerAnthony G. Basile <blueness@gentoo.org>2018-11-06 17:50:08 -0500
commitb9ed4d983a31e980349b172b95c80aa229ae64f1 (patch)
tree729c03277798cdd144539dac52af33ea8ad669e2 /app-text/xapian-omega
parentdev-libs/xapian-bindings: version bump to 1.4.9 (diff)
downloadgentoo-b9ed4d983a31e980349b172b95c80aa229ae64f1.tar.gz
gentoo-b9ed4d983a31e980349b172b95c80aa229ae64f1.tar.bz2
gentoo-b9ed4d983a31e980349b172b95c80aa229ae64f1.zip
app-text/xapian-omega: version bump to 1.4.9
Signed-off-by: Anthony G. Basile <blueness@gentoo.org> Package-Manager: Portage-2.3.49, Repoman-2.3.11
Diffstat (limited to 'app-text/xapian-omega')
-rw-r--r--app-text/xapian-omega/Manifest1
-rw-r--r--app-text/xapian-omega/xapian-omega-1.4.9.ebuild42
2 files changed, 43 insertions, 0 deletions
diff --git a/app-text/xapian-omega/Manifest b/app-text/xapian-omega/Manifest
index 09e482166c5..6c60664e383 100644
--- a/app-text/xapian-omega/Manifest
+++ b/app-text/xapian-omega/Manifest
@@ -5,3 +5,4 @@ DIST xapian-omega-1.4.5.tar.xz 502820 BLAKE2B 3077a9a4fd177daa7f8470bea0b8dde254
DIST xapian-omega-1.4.6.tar.xz 510012 BLAKE2B 2c6d3479fe02eb3b44ef0995b0dfc2ce47012104bc860532967f234ccb7bb2a3357337419fbf5b79b42d0f598608fe9a071edca2195e4f025fb69760091c78ec SHA512 9376145c9c7c728bf444f5891777fe946bc574a4c91ef65779aae4cd2f40c76b33cde1231f654f23de32df8a4eea4aa0c69868d269ec79fba3abad2567ffb80d
DIST xapian-omega-1.4.7.tar.xz 510644 BLAKE2B e2106b07a0ccf765dad25c3e83a745936156b002e638fbd9cbd1fd194f507ad663c305fc4981d72f92a74f645601aa83b1bc3133d10d8d4c308f28657a90a356 SHA512 e7e2c7dfa3e76ccdde103b34aa1b0732033e9f218346a81f1b0b865c6e2d17c356b96a4522a3a2273fb55eb2fbd2dd57e835368771f46c9fb458c0c11329893b
DIST xapian-omega-1.4.8.tar.xz 521352 BLAKE2B 01d914c0dcd7e8a8cf7ec4b997af49c01883d83a5c9bd1c59da058d3329dab5f517bb4d3aa243a3e47ad36311acafd64505fda1ecf86d3605a38ef70760d8711 SHA512 5d27c03891ff941b23c899b1a293ed9be0129de08ff46156380638408360ea6e4aa2dfb4fe0ffb13726807849802fe8d19f6dc817a52ec5bf50c2bf94ed94c2f
+DIST xapian-omega-1.4.9.tar.xz 522100 BLAKE2B af1d01d918ff6b6355bd3ebdd28883d7f833384ba7ca53aa7e8affef77d71bc74602476ef7c6a8b11b67a60e0ff2e007e0d4da38020ddcac9d7ac7f2df4774d9 SHA512 3e784691c7de807a2eb9c00c97e03cfb7e66686d54e0ee572facad7bcfbdcc2c7aba4b60996bc56657a5ecabc79984e838b9d207cf6f1b7df1df90c108d17d1d
diff --git a/app-text/xapian-omega/xapian-omega-1.4.9.ebuild b/app-text/xapian-omega/xapian-omega-1.4.9.ebuild
new file mode 100644
index 00000000000..2790bf5b9f0
--- /dev/null
+++ b/app-text/xapian-omega/xapian-omega-1.4.9.ebuild
@@ -0,0 +1,42 @@
+# Copyright 1999-2018 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI="6"
+
+DESCRIPTION="An application built on Xapian, consisting of indexers and a CGI search frontend"
+SRC_URI="http://www.oligarchy.co.uk/xapian/${PV}/xapian-omega-${PV}.tar.xz"
+HOMEPAGE="https://xapian.org/"
+S="${WORKDIR}/xapian-omega-${PV}"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~ia64 ~mips ~ppc ~ppc64 ~sparc ~x86"
+IUSE=""
+
+DEPEND="dev-libs/xapian:0/30
+ dev-lang/perl
+ dev-libs/libpcre
+ sys-libs/zlib"
+RDEPEND="${DEPEND}"
+
+src_install () {
+ emake DESTDIR="${D}" install
+
+ # Protect /etc/omega.conf
+ echo "CONFIG_PROTECT=\"/etc/omega.conf\"" > "${T}"/20xapian-omega
+ doenvd "${T}"/20xapian-omega
+ dodoc AUTHORS ChangeLog INSTALL NEWS README TODO
+
+ # Directory containing Xapian databases:
+ keepdir /var/lib/omega/data
+
+ # Directory containing OmegaScript templates:
+ keepdir /var/lib/omega/templates
+ mv "${S}"/templates/* "${D}"/var/lib/omega/templates || die
+
+ # Directory to write Omega logs to:
+ keepdir /var/log/omega
+
+ # Directory containing any cdb files for the $lookup OmegaScript command:
+ keepdir /var/lib/omega/cdb
+}